Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
ngtiens

giúp hoàn thiện lisp

Các bài được khuyến nghị

ngtiens    1

http://www.cadviet.com/upfiles/4/137107_lisp.doc

lúc trước e có nhờ bác hà làm đoạn lisp này. tức là hiện ra số random . nhưng khi vô cad nó mặc định độ cao là 0.2 . chỉnh cở chử to hơn thì bấm lệnh nó ko ra nữa. mong các bạn giúp mình đưa nó về cở chữ là 2 giùm e ạ

 

 

;----- Random so trong khoang tu a den b.
(defun C:TI()
 (defun rand(a B)
;  (+ a (fix (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2)))))))
  (+ a (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2))))))
 (setq a (getreal "\nSo bat dau: "))
 (setq b (getreal "\nSo gioi han: ")) 
 (while (setq p (getpoint "\nPick point: "))
  (command "text" p "" "" (rtos (rand a B) 2 2) "")))

http://www.cadviet.com/upfiles/4/137107_cd.lsp

 

file cad e up no ko hiện lên để e up đoạn mã code vào file word cho các bác xem

;----- Random so trong khoang tu a den b.
(defun C:TI()
 (defun rand(a B)
;  (+ a (fix (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2)))))))
  (+ a (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2))))))
 (setq a (getreal "\nSo bat dau: "))
 (setq b (getreal "\nSo gioi han: ")) 
 (while (setq p (getpoint "\nPick point: "))
  (command "text" p "" "" (rtos (rand a B) 2 2) "")))
;----- Random so trong khoang tu a den b.
(defun C:TI()
 (defun rand(a B)
;  (+ a (fix (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2)))))))
  (+ a (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2))))))
 (setq a (getreal "\nSo bat dau: "))
 (setq b (getreal "\nSo gioi han: ")) 
 (while (setq p (getpoint "\nPick point: "))
  (command "text" p "" "" (rtos (rand a B) 2 2) "")))
;----- Random so trong khoang tu a den b.
(defun C:TI()
 (defun rand(a B)
;  (+ a (fix (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2)))))))
  (+ a (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2))))))
 (setq a (getreal "\nSo bat dau: "))
 (setq b (getreal "\nSo gioi han: ")) 
 (while (setq p (getpoint "\nPick point: "))
  (command "text" p "" "" (rtos (rand a B) 2 2) "")))
;----- Random so trong khoang tu a den b.
(defun C:TI()
 (defun rand(a B)
;  (+ a (fix (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2)))))))
  (+ a (* (- b a) (atof (strcat "0." (substr (rtos (getvar 'cdate) 2 18) 16 2))))))
 (setq a (getreal "\nSo bat dau: "))
 (setq b (getreal "\nSo gioi han: ")) 
 (while (setq p (getpoint "\nPick point: "))
  (command "text" p "" "" (rtos (rand a B) 2 2) "")))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ngtiens    1

e làm giống như bác rồi nhưng khi mình thay đổi kiểu chữ thì bấm lênh nó ko ra số nữa. còn không thay đổi j thì nó ra chử mặc định. nhưng khi mình thay đổi j thì bấm ko ra số nữa

 bác hà giúp giùm e ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namdo0350    0

em đang tập đọc bản vẽ.e xin được 1 số bản vẽ  mặt bằng và mặt đứng công trình.

người cho em bản vẽ nói là tòa nhà bao kính 4 xung quanh và không có tường 220 bao ngoài.nhưng em nhìn trong bản vẽ mặt bằng thì kính đặt trên tường 220.

các bác có kinh nghiệm xem giúp em xem có tường xây 220 bao ngoài không.

và công trình này có hình chữ U. như thế có sợ gió thổi đổ không.em đang cần làm gấp.mong các  bác giúp đỡ.

e xin cảm ơn!

http://www.cadviet.com/upfiles/4/138617_drawing1.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×